/*
    This file is part of the 'yarec' package.
    Copyright (C) 1998  Ralf W. Stephan <stephan@tmt.de>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifdef HAVE_UNISTD_H
#include <unistd.h>
#endif

#include "tasks/tasks.h"
#include "file/file.h"
#include "util/util.h"
#include "ui/uiHandler.h"

void Task_write()
{
  int i;
  const struct File *b, *f;
  
  b = File_init (Config_buffilename());
  f = File_init (Config_filename());

  if (File_empty (b)) {
  	UIHandler_msg (_("Nothing recorded."));
  	return;
  }

  i = rename (b->name, f->name);
  if (i == 0)
  	UIHandler_msg (strcatalloc (_("Sample saved as "), f->name));
  else
  	UIHandler_msg (strcatalloc (_("Couldn't rename to "), f->name));
}
